
Summary:    Parse Unix syslog files
Name:       perl-Parse-Syslog
Version:    1.10
Release:    3%{?dist}
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Url:        https://metacpan.org/release/Parse-Syslog
Source:     https://cpan.metacpan.org/authors/id/D/DS/DSCHWEI/Parse-Syslog-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
%{?fedora:BuildRequires: perl(Test)}


%description
Unix syslogs are convenient to read for humans but because of small
differences between operating systems and things like 'last message
repeated xx times' not very easy to parse by a script.

Parse::Syslog presents a simple interface to parse syslog files: you create
a parser on a file (with *new*) and call *next* to get one line at a time
with Unix-timestamp, host, program, pid and text returned in a
hash-reference.

Constructing a Parser
    *new* requires as first argument a source from where to get the syslog
    lines. It can be:

%prep
%setup -q -n Parse-Syslog-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 1.10-3
- rebuilt

* Tue Jan 09 2018 Greg Wildman <greg@techno.co.za> 1.10-2
- Added perl-Test as dependency for fedora builds.

* Sat Sep 05 2015 Greg Wildman <greg@techno.co.za> 1.10-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.4)

